--- a/configure.ac
+++ b/configure.ac
@@ -191,6 +191,10 @@
 AC_ARG_WITH([ngshared],
     [AS_HELP_STRING([--with-ngshared], [Compiles ngspice as shared library (dll)])])
 
+# --with-fftw3: Use fftw3 for Fourier transforms.  Default is "yes".
+AC_ARG_WITH([fftw3],
+    [AS_HELP_STRING([--with-fftw3[=yes/no]], [Use fftw3 for Fourier transforms. Default=yes.])])
+
 # readline and editline cannot both be enabled
 if test "x$with_editline" = xyes; then
     if test "x$with_readline" = xyes; then
@@ -726,10 +730,12 @@
 # Look for math library:
 AC_CHECK_LIB([m], [sqrt])
 AC_CHECK_HEADERS([float.h limits.h values.h ieeefp.h])
+if test "x$with_fftw3" != xno; then
 AC_CHECK_HEADERS([fftw3.h])
 AC_CHECK_LIB([fftw3], [fftw_plan_dft_1d],
         [AC_DEFINE([HAVE_LIBFFTW3], [], [Have fft routines in libfftw3])
          LIBS="$LIBS -lfftw3"])
+fi
 
 # Check for a few mathematical functions:
 AC_CHECK_FUNCS([erfc logb scalb scalbn asinh acosh atanh finite])
